View Issue Details

IDProjectCategoryView StatusLast Update
0003814SymmetricDSImprovementpublic2018-12-06 13:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003814: Better handling of low disk space
DescriptionThe staging directory is used for temporary batches that are extracted and loaded. The system will write to staging until the disk is full. Especially during an initial load, the extract in background can easily out pace loading and fill the disk. Without disk space, there have been reports of erratic behavior. Instead, let's set a parameter of staging.low.space.threshold.megabytes=100 to detect free space below the threshold. Parameter can be disabled as 0 or negative. When trying to create new staging files, staging manager will throw an exception. Loading and extract will handle the exception properly and log an error.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 91252bc8

2018-11-30 14:23:27

admin

Details Diff
0003814: Better handling of low disk space
0003814
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/stage/BatchStagingManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingLowFreeSpace.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

SymmetricDS: 3.10 87481bfe

2018-12-04 16:12:31

josh-a-hicks

Details Diff
0003814: Better handling of low disk space
0003814
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.10 dbdbb122

2018-12-06 10:10:44

admin

Details Diff
0003814: Better handling of low disk space
0003814
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

Issue History

Date Modified Username Field Change
2018-11-30 14:19 elong New Issue
2018-11-30 14:19 elong Status new => assigned
2018-11-30 14:19 elong Assigned To => elong
2018-11-30 14:26 elong Status assigned => resolved
2018-11-30 14:26 elong Resolution open => fixed
2018-11-30 14:26 elong Fixed in Version => 3.10.0
2018-11-30 15:00 admin Changeset attached => SymmetricDS 3.10 91252bc8
2018-12-05 08:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 87481bfe
2018-12-06 13:00 admin Changeset attached => SymmetricDS 3.10 dbdbb122